﻿using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray  = { 1, 2, 3, 4 };
            double[] yValueArray1 = { 1, 3, 1, 2 };
            double[] yValueArray2 = { 3, 7, 3, 1 };
            double[] yValueArray3 = { 5, 2, 5, 6 };

            xValueArray  = Tools.Pad(xValueArray, cloneEdges : true);
            yValueArray1 = Tools.Pad(yValueArray1);
            yValueArray2 = Tools.Pad(yValueArray2);
            yValueArray3 = Tools.Pad(yValueArray3);

            plot.AddPolygon(xValueArray, yValueArray3, plot.GetNextColor(0.7), lineWidth : 2);
            plot.AddPolygon(xValueArray, yValueArray2, plot.GetNextColor(0.7), lineWidth : 2);
            plot.AddPolygon(xValueArray, yValueArray1, plot.GetNextColor(0.7), lineWidth : 2);

            plot.AxisAuto(0, 0);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}